from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Array, String, File, Int, Directory

Assigngenes_Py_Igblast_Aa_V0_1_0 = CommandToolBuilder(tool="AssignGenes.py_igblast_aa", base_command=["AssignGenes.py", "igblast-aa"], inputs=[ToolInput(tag="in_explicit_output_file", input_type=Array(t=String(), optional=True), prefix="-o", doc=InputDocumentation(doc="Explicit output file name. Note, this argument cannot\nbe used with the --failed, --outdir, or --outname\narguments. If unspecified, then the output filename\nwill be based on the input filename(s). (default:\nNone)")), ToolInput(tag="in_outdir", input_type=File(optional=True), prefix="--outdir", doc=InputDocumentation(doc="Specify to changes the output directory to the\nlocation specified. The input file directory is used\nif this is not specified. (default: None)")), ToolInput(tag="in_out_name", input_type=File(optional=True), prefix="--outname", doc=InputDocumentation(doc="Changes the prefix of the successfully processed\noutput file to the string specified. May not be\nspecified with multiple input files. (default: None)")), ToolInput(tag="in_nproc", input_type=Int(optional=True), prefix="--nproc", doc=InputDocumentation(doc="The number of simultaneous computational processes to\nexecute (CPU cores to utilized). (default: 8)")), ToolInput(tag="in_list_fasta_files", input_type=Array(t=String(), optional=True), prefix="-s", doc=InputDocumentation(doc="A list of FASTA files containing sequences to process.\n(default: None)")), ToolInput(tag="in_igblast_database_directory", input_type=Directory(optional=True), prefix="-b", doc=InputDocumentation(doc="IgBLAST database directory (IGDATA). (default: None)")), ToolInput(tag="in_organism", input_type=String(optional=True), prefix="--organism", doc=InputDocumentation(doc="Organism name. (default: human)")), ToolInput(tag="in_loci", input_type=String(optional=True), prefix="--loci", doc=InputDocumentation(doc="The receptor type. (default: ig)")), ToolInput(tag="in_vdb", input_type=Directory(optional=True), prefix="--vdb", doc=InputDocumentation(doc="Name of the custom V reference in the IgBLAST database\nfolder. If not specified, then a default database name\nwith the form imgt_aa_<organism>_<loci>_v will be\nused. (default: None)")), ToolInput(tag="in_exec", input_type=File(optional=True), prefix="--exec", doc=InputDocumentation(doc="Path to the igblastp executable. (default: igblastp)"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Assigngenes_Py_Igblast_Aa_V0_1_0().translate("wdl", allow_empty_container=True)

